> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get license info

> Returns basic information about the license.



## OpenAPI

````yaml /api/agent-chat/v3.5/openapi.json post /action/get_license_info
openapi: 3.0.0
info:
  title: Agent Chat API
  description: >-
    The Agent Chat API allows you to manage chats, threads, events, and agent
    state.
  version: '3.5'
servers:
  - url: https://api.livechatinc.com/v3.5/agent
    description: Production server
security: []
paths:
  /action/get_license_info:
    post:
      tags:
        - Configuration
      summary: Get license info
      description: Returns basic information about the license.
      operationId: get-license-info
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          description: License info.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLicenseInfoResponse'
              example:
                license_id: '104130623'
                expires_at: '2026-06-09T12:01:18.909000Z'
                created_at: '2026-06-09T12:01:18.909000Z'
                in_trial: false
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - chats--all:ro
components:
  schemas:
    GetLicenseInfoResponse:
      type: object
      properties:
        license_id:
          type: string
          description: Text account ID.
        expires_at:
          type: string
          description: Specifies when the license will expire.
        created_at:
          type: string
          description: Specifies when the license was created.
        in_trial:
          type: boolean
          description: Whether the license is on a trial period.
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes:
            chats--all:ro: Read all chats
            chats--all:rw: Read and write all chats
            chats--access:ro: Read chats from groups the agent is a member of
            chats--access:rw: Read and write chats from groups the agent is a member of

````